# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLUListElement Class Reference

Unordered list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLUListElement:

[legend]
Collaboration diagram for DOM::HTMLUListElement:

[legend]
List of all members.

## Public Member Functions

| HTMLUListElement (const HTMLUListElement &other)
| HTMLUListElement (const Node &other)
HTMLUListElement & | operator= (const HTMLUListElement &other)
HTMLUListElement & | operator= (const Node &other)
bool | compact () const
void | setCompact (bool)
DOMString | type () const
void | setType (const DOMString &)

## Protected Member Functions

| HTMLUListElement (HTMLUListElementImpl *impl)

## Detailed Description

Unordered list.

See the UL element definition in HTML 4.0.

Definition at line 294 of file html_list.h.

## Member Function Documentation

bool HTMLUListElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 327 of file html_list.cpp. References DOM::DOMString::isNull().

void HTMLUListElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 333 of file html_list.cpp.

DOMString HTMLUListElement::type | ( |  | ) | const

| Bullet style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 344 of file html_list.cpp.

void HTMLUListElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 350 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:26 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003